# Uses of Class
org.jdesktop.application.ApplicationAction

Packages that use ApplicationAction
Package
Description
org.jdesktop.application

## Uses of ApplicationAction in org.jdesktop.application

Methods in org.jdesktop.application that return ApplicationAction
Modifier and Type
Method
Description
`final ApplicationAction`
Task.InputBlocker.`getAction()`
The ApplicationAction (`@Action`) that caused the task to be executed.
Methods in org.jdesktop.application that return types with arguments of type ApplicationAction
Modifier and Type
Method
Description
`List<ApplicationAction>`
ApplicationActionMap.`getProxyActions()`
All of the `@ProxyActions` recursively defined by this `ApplicationActionMap` and its parent ancestors.
Constructors in org.jdesktop.application with parameters of type ApplicationAction
Modifier
Constructor
Description
``
`InputBlocker(Task task, Task.BlockingScope scope, Object target, ApplicationAction action)`
Construct an InputBlocker with four immutable properties.